/****************************************
 *  COPYRIGHT (C) 2010
 *  Holger Graf
 ****************************************/
package siarchive;

import java.net.URL;
import java.util.HashMap;
import java.util.Map;

import javax.swing.ImageIcon;

import siarchive.components.Position;

/**
 * @author graf
 *
 */
public class Resources
{
    private static Map<String, ImageIcon> resources = new HashMap<String, ImageIcon>();

    static
    {
        addResource( "/battle.png" );
        addResource( "/bubble-high.png" );
        addResource( "/bubble-low.png" );
        addResource( "/bubble-normal.png" );
        addResource( "/close.png" );
        addResource( "/db-on.png" );
        addResource( "/db-off.png" );
        addResource( "/debris.png" );
        addResource( "/fleet.png" );

        for( int galaxy = 1; galaxy <= 14; galaxy++ )
        {
            StringBuilder path = new StringBuilder();
            path.append( "/galaxy" );
            if( galaxy < 10 )
            {
                path.append( '0' );

            }
            path.append( galaxy );
            path.append( ".jpg" );
            addResource( path.toString() );
        }

        addResource( "/gold.png" );
        addResource( "/moon.png" );
        addResource( "/notes.png" );
        addResource( "/notes-off.png" );
        addResource( "/notes-small.png" );
        addResource( "/planet_event.png" );

        for( int planet = Position.lowerPlanetBound; planet <= Position.upperPlanetBound; planet++ )
        {
            StringBuilder path = new StringBuilder();
            path.append( "/planet" );
            if( planet < 10 )
            {
                path.append( '0' );

            }
            path.append( planet );
            path.append( ".png" );
            addResource( path.toString() );
        }

        addResource( "/scroll.png" );
        addResource( "/silver.png" );
        addResource( "/sun.png" );
        addResource( "/symbol.png" );
    }

    public static ImageIcon getIcon( String path )
    {
        return resources.get( path );
    }

    private static void addResource( String path )
    {
        resources.put( path, createIcon( path ) );
    }

    private static ImageIcon createIcon( String path )
    {
        ImageIcon rv = null;
        URL url = null;
        try
        {
            url = Resources.class.getResource( path );
        }
        catch( Exception ex )
        {}
        if( url != null )
        {
            rv = new ImageIcon( url, path );
        }
        return rv;
    }

}
