/****************************************
 *  COPYRIGHT (C) 2010
 *  Holger Graf
 ****************************************/
package siarchive.components;

import java.util.EnumSet;

/**
 * @author graf
 *
 */
public enum SearchOption 
{
    alliances,
    attacker,
    defender,
    planets,
    players,
    points,
    priority,
    systems,
    time;
    
    public static SearchOption[] forPlanets()
    {
        EnumSet<SearchOption> options = EnumSet.range( SearchOption.alliances, SearchOption.systems );
        options.remove( SearchOption.attacker );
        options.remove( SearchOption.defender );
        options.remove( SearchOption.priority );
        return options.toArray( new SearchOption[0] );
    }

    public static SearchOption[] forBattleReports()
    {
        EnumSet<SearchOption> options = EnumSet.range( SearchOption.attacker, SearchOption.time );
        options.remove( SearchOption.points );
        options.remove( SearchOption.players );
        options.remove( SearchOption.planets );
        options.remove( SearchOption.priority );
        return options.toArray( new SearchOption[0] );
    }

    public static SearchOption[] forSpyReports()
    {
        EnumSet<SearchOption> options = EnumSet.range( SearchOption.planets, SearchOption.time );
        options.remove( SearchOption.points );
        //options.remove( SearchOption.players );
        options.remove( SearchOption.priority );
        return options.toArray( new SearchOption[0] );
    }

}
