/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/

package siarchive.persistence;

import siarchive.json.JSONTags;

/**
 * @author graf
 *
 */
public class BattleReport extends Report<BattleReport> implements Notable<BattleReport>
{
	private String attacker;
	private String defender;

	public String getAttacker()
	{
		return attacker;
	}
	public void setAttacker(String attacker)
	{
		this.attacker = attacker;
	}
	public String getDefender()
	{
		return defender;
	}
	public void setDefender(String defender)
	{
		this.defender = defender;
	}

    public boolean isJSONData() {
        return (data.indexOf(JSONTags.reportType_BattleReport) >= 0);
    }

    public void update(BattleReport report)
    {
        super.update( report );
        this.attacker = report.attacker;
        this.defender = report.defender;
    }

    @Override
    public boolean equals( Object obj )
    {
        // super establishes equality based on ID
        // if it says they are equal, they are
        boolean rv = super.equals( obj );
        if( !rv && obj instanceof BattleReport )
        {
            BattleReport that = ( BattleReport )obj;
            rv = getAccount().equals( that.getAccount() )
              && getPosition() == that.getPosition()
              && getCreationTime() == that.getCreationTime();
        }
        return rv;
    }

    @Override
    public int hashCode()
    {
        return ( getAccount().hashCode() << 24 ) + getPosition() + Long.valueOf( getCreationTime() ).hashCode();
    }

}
