/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/
package siarchive.persistence;

import siarchive.components.Position;
import siarchive.components.Priority;

/**
 * @author graf
 *
 */
public abstract class Report<T extends Report<T>> extends DbObject<T>
{
    protected Long account;
    protected long creationTime;
    protected int position;
    protected boolean isAsteroid;
    private Priority flag;
    protected String data;
    private boolean retainNotes;
    private Note notes;

    public Long getAccount()
    {
        return account;
    }

    public void setAccount( Long account )
    {
        this.account = account;
    }

    public long getCreationTime()
    {
        return creationTime;
    }

    public void setCreationTime( long creationTime )
    {
        this.creationTime = creationTime;
    }

    public int getPosition()
    {
        return position;
    }

    public void setPosition( int position )
    {
        this.position = position;
    }

    public void setPosition( String coords )
    {
        setPosition(Position.createId(coords));
    }

    public boolean isAsteroid()
    {
        return isAsteroid;
    }

    public void setAsteroid( boolean isAstro )
    {
        this.isAsteroid = isAstro;
    }

    public Priority getFlag()
    {
        return flag;
    }

    public void setFlag( Priority flag )
    {
        this.flag = flag;
    }

    public String getData()
	{
		return data;
	}

	public void setData(String data)
	{
		this.data = data;
	}

    public boolean isRetainNotes()
    {
        return retainNotes;
    }

    public void setRetainNotes( boolean retainNotes )
    {
        this.retainNotes = retainNotes;
    }

    public Note getNotes()
    {
        return notes;
    }

    public void setNotes( Note notes )
    {
        this.notes = notes;
    }

    public String getName()
    {
        return "";
    }

	@Override
    public void update( T report )
    {
        this.account = report.account;
        this.creationTime = report.creationTime;
        this.isAsteroid = report.isAsteroid;
        this.position = report.position;
        this.data = report.data;
    }
}
