/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/

package siarchive.persistence;

import siarchive.persistence.Report;
import siarchive.persistence.SpyReport;

/**
 * @author graf
 *
 */
public class SpyReport extends Report<SpyReport> implements Notable<SpyReport>
{
	private String planetName;

	public String getPlanetName()
	{
		return planetName;
	}

	public void setPlanetName(String planetName)
	{
		this.planetName = planetName;
	}

    public void update(SpyReport report)
    {
        super.update( report );
        this.planetName = report.planetName;
    }

    @Override
    public boolean equals( Object obj )
    {
        // super establishes equality based on ID
        // if it says they are equal, they are
        boolean rv = super.equals( obj );
        if( !rv && obj instanceof SpyReport )
        {
            SpyReport that = ( SpyReport )obj;
            rv = getAccount().equals( that.getAccount() ) 
              && getPosition() == that.getPosition()
              && getCreationTime() == that.getCreationTime();
        }
        return rv;
    }

    @Override
    public int hashCode()
    {
        return ( getAccount().hashCode() << 24 ) + getPosition() + Long.valueOf( getCreationTime() ).hashCode();
    }
}
