/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/
package siarchive.search;

import java.awt.LayoutManager;

import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;

/**
 * @author graf
 *
 */
public abstract class SearchPane extends JPanel
{
    private static final long serialVersionUID = -1982149770393241652L;

    public SearchPane()
    {
    }

    /**
     * @param layout
     */
    public SearchPane( LayoutManager layout )
    {
        super( layout );
    }

    public SearchPane( boolean isDoubleBuffered )
    {
        super( isDoubleBuffered );
    }

    /**
     * @param layout
     * @param isDoubleBuffered
     */
    public SearchPane( LayoutManager layout, boolean isDoubleBuffered )
    {
        super( layout, isDoubleBuffered );
    }

    protected void adjustColumnWidth( int modelIndex, int width )
    {
        JTable table = getTable();
        TableColumnModel columnModel = table.getColumnModel();
        TableColumn column;
        int index = table.convertColumnIndexToView( modelIndex );
        if( index != -1 )
        {
            // column is visible
            column = columnModel.getColumn( index );
            column.setMinWidth( width );
            column.setMaxWidth( width );
            column.setPreferredWidth( width );
        }
    }
    
    protected void updateColumnNames()
    {
        JTable table = getTable();
        TableColumnModel columnModel = table.getColumnModel();
        TableColumn column;
        // force reevaluation of table header texts
        for( int i = 0; i < columnModel.getColumnCount(); i++ )
        {
            column = columnModel.getColumn( i );
            column.setHeaderValue( table.getColumnName( i ) );
        }
    }
    
    protected abstract JTable getTable();
}
