package siarchive.test;

import static org.junit.Assert.*;

import java.awt.Dimension;
import java.sql.SQLException;

import org.junit.Test;

import siarchive.persistence.ApplicationConfiguration;
import siarchive.persistence.DatabaseFactory;
import siarchive.persistence.dao.ApplicationConfigurationDao;

public class ConfigurationTest
{
    private static final int defaultWidth = 940;
    private static final int defaultHeight = 715;
    private static final int defaultGalaxyWidth = 820;
    private static final int defaultGalaxyHeight = 640;

    @Test
    public void test() throws SQLException
    {
        DatabaseFactory.open();
        ApplicationConfiguration config;
        ApplicationConfigurationDao configurationDao = DatabaseFactory.getDao( ApplicationConfigurationDao.class );
        config = configurationDao.get();
        if(config == null)
        {
            config = new ApplicationConfiguration();
        }
        config.setMainFrameSize( new Dimension( defaultWidth, defaultHeight ) );
        config.setGalaxyViewSize( new Dimension( defaultGalaxyWidth, defaultGalaxyHeight ) );
        config.setShowGalaxyView( false );
        config.setMessWithClipboard( false );
        configurationDao.save( config );
        DatabaseFactory.commit();
        assertEquals( configurationDao.count(), 1 );
        config = configurationDao.get();

        assertEquals( config.getMainFrameSize().width, defaultWidth );
        assertEquals( config.getMainFrameSize().height, defaultHeight );
        assertEquals( config.getGalaxyViewSize().width, defaultGalaxyWidth );
        assertEquals( config.getGalaxyViewSize().height, defaultGalaxyHeight );

        config = new ApplicationConfiguration();
        config.setGalaxyViewSize( new Dimension( defaultWidth, defaultHeight ) );
        config.setMainFrameSize( new Dimension( defaultGalaxyWidth, defaultGalaxyHeight ) );
        configurationDao.save( config );
        DatabaseFactory.commit();
        assertEquals( configurationDao.count(), 1 );

        DatabaseFactory.commit();
        DatabaseFactory.close();
    }

}
